﻿/*Copyright 2024 Wojciech Krzysztof Fiałkiewicz

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.*/

using System.Web.Mvc;

namespace SonOfSun.Controllers
{
    public class HomeController : Controller
    {
        #region Index

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "About page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Contact page.";

            return View();
        }

        public ActionResult Goals()
        {
            ViewBag.Message = "Goals page.";

            return View();
        }

        public ActionResult Shop()
        {
            ViewBag.Message = "Shop page.";

            return View();
        }

        public ActionResult WomenSingers()
        {
            ViewBag.Message = "Women Singers page.";

            return View();
        }

        public ActionResult WomenBands()
        {
            ViewBag.Message = "Women Bands page.";

            return View();
        }

        public ActionResult ManBands()
        {
            ViewBag.Message = "Man Bands page.";

            return View();
        }

        public ActionResult ManSingers()
        {
            ViewBag.Message = "Man Singers page.";

            return View();
        }

        public ActionResult Scientists()
        {
            ViewBag.Message = "Scientists page.";

            return View();
        }

        public ActionResult Photos()
        {
            ViewBag.Message = "Photos page.";

            return View();
        }

        public ActionResult Projects()
        {
            ViewBag.Message = "Projects page.";

            return View();
        }

        public ActionResult Bands()
        {
            ViewBag.Message = "Bands page.";

            return View();
        }

        public ActionResult Actors()
        {
            ViewBag.Message = "Actors page.";

            return View();
        }

        public ActionResult Charity()
        {
            ViewBag.Message = "Charity page.";

            return View();
        }

        public ActionResult OpenSource()
        {
            ViewBag.Message = "Open Source page.";

            return View();
        }

        public ActionResult Feedback()
        {
            ViewBag.Message = "Feedback page.";

            return View();
        }

        public FileResult DownloadPortal_ver_1_0()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes("C:\\inetpub\\wwwroot\\SonOfSun\\Files\\SonOfSun_Portal_ver_1_0.zip");
            string fileName = "SonOfSun_Portal_ver_1_0.zip";

            Response.AppendToLog(Request.UserHostAddress + " " + fileName);

            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        public FileResult DownloadPortal_ver_2_0()
        {
            byte[] fileBytes = System.IO.File.ReadAllBytes("C:\\inetpub\\wwwroot\\SonOfSun\\Files\\SonOfSun_Portal_ver_2_0.zip");
            string fileName = "SonOfSun_Portal_ver_2_0.zip";

            Response.AppendToLog(Request.UserHostAddress + " " + fileName);

            return File(fileBytes, System.Net.Mime.MediaTypeNames.Application.Octet, fileName);
        }

        #endregion

        #region Women Singers

        public ActionResult Anastacia()
        {
            ViewBag.Message = "Anastacia page.";

            return View();
        }

        public ActionResult Nicole()
        {
            ViewBag.Message = "Nicole page.";

            return View();
        }

        public ActionResult Selena()
        {
            ViewBag.Message = "Selena page.";

            return View();
        }

        public ActionResult Anna()
        {
            ViewBag.Message = "Anna page.";

            return View();
        }

        public ActionResult Mylene()
        {
            ViewBag.Message = "Mylene page.";

            return View();
        }

        public ActionResult Rihanna()
        {
            ViewBag.Message = "Rihanna page.";

            return View();
        }

        public ActionResult Sertab()
        {
            ViewBag.Message = "Sertab page.";

            return View();
        }

        public ActionResult Shakira()
        {
            ViewBag.Message = "Shakira page.";

            return View();
        }

        public ActionResult Tori()
        {
            ViewBag.Message = "Tori page.";

            return View();
        }

        public ActionResult Jamelia()
        {
            ViewBag.Message = "Jamelia page.";

            return View();
        }

        public ActionResult Jennifer()
        {
            ViewBag.Message = "Jennifer page.";

            return View();
        }

        public ActionResult Marina()
        {
            ViewBag.Message = "Marina page.";

            return View();
        }

        public ActionResult Christina()
        {
            ViewBag.Message = "Christina page.";

            return View();
        }

        public ActionResult Sandra()
        {
            ViewBag.Message = "Sandra page.";

            return View();
        }

        public ActionResult Justyna()
        {
            ViewBag.Message = "Justyna page.";

            return View();
        }

        public ActionResult Kasia()
        {
            ViewBag.Message = "Kasia page.";

            return View();
        }

        public ActionResult Doda()
        {
            ViewBag.Message = "Doda page.";

            return View();
        }

        public ActionResult Vera()
        {
            ViewBag.Message = "Vera page.";

            return View();
        }

        public ActionResult Zhanna()
        {
            ViewBag.Message = "Zhanna page.";

            return View();
        }

        public ActionResult Diana()
        {
            ViewBag.Message = "Diana page.";

            return View();
        }

        public ActionResult Bebe()
        {
            ViewBag.Message = "Bebe page.";

            return View();
        }

        public ActionResult Anita()
        {
            ViewBag.Message = "Anita page.";

            return View();
        }

        public ActionResult Coco()
        {
            ViewBag.Message = "Coco page.";

            return View();
        }

        public ActionResult Dannii()
        {
            ViewBag.Message = "Dannii page.";

            return View();
        }

        public ActionResult Kylie()
        {
            ViewBag.Message = "Kylie page.";

            return View();
        }

        public ActionResult Whitney()
        {
            ViewBag.Message = "Whitney page.";

            return View();
        }

        public ActionResult Lucie()
        {
            ViewBag.Message = "Lucie page.";

            return View();
        }

        public ActionResult Sanah()
        {
            ViewBag.Message = "Sanah page.";

            return View();
        }

        public ActionResult Sharleen()
        {
            ViewBag.Message = "Sharleen page.";

            return View();
        }

        public ActionResult Madonna()
        {
            ViewBag.Message = "Madonna page.";

            return View();
        }

        public ActionResult Dido()
        {
            ViewBag.Message = "Dido page.";

            return View();
        }

        public ActionResult Delta()
        {
            ViewBag.Message = "Delta page.";

            return View();
        }

        public ActionResult Avril()
        {
            ViewBag.Message = "Avril page.";

            return View();
        }

        public ActionResult Marie()
        {
            ViewBag.Message = "Marie page.";

            return View();
        }

        public ActionResult Mela()
        {
            ViewBag.Message = "Mela page.";

            return View();
        }

        public ActionResult Sarsa()
        {
            ViewBag.Message = "Sarsa page.";

            return View();
        }

        public ActionResult Lanberry()
        {
            ViewBag.Message = "Lanberry page.";

            return View();
        }

        public ActionResult Shania()
        {
            ViewBag.Message = "Shania page.";

            return View();
        }

        public ActionResult Katie()
        {
            ViewBag.Message = "Katie page.";

            return View();
        }

        public ActionResult Katy()
        {
            ViewBag.Message = "Katy page.";

            return View();
        }

        public ActionResult Sinead()
        {
            ViewBag.Message = "Sinead page.";

            return View();
        }

        public ActionResult Britney()
        {
            ViewBag.Message = "Britney page.";

            return View();
        }

        public ActionResult Miley()
        {
            ViewBag.Message = "Miley page.";

            return View();
        }

        public ActionResult Sukina()
        {
            ViewBag.Message = "Sukina Hitoga Irukoto page.";

            return View();
        }

        public ActionResult Seira()
        {
            ViewBag.Message = "Seira page.";

            return View();
        }

        public ActionResult Natalie()
        {
            ViewBag.Message = "Natalie page.";

            return View();
        }

        public ActionResult Beyonce()
        {
            ViewBag.Message = "Beyonce page.";

            return View();
        }

        public ActionResult Hailee()
        {
            ViewBag.Message = "Hailee Steinfeld page.";

            return View();
        }

        public ActionResult Geri()
        {
            ViewBag.Message = "Geri Halliwell page.";

            return View();
        }

        public ActionResult Emma()
        {
            ViewBag.Message = "Emma Bunton page.";

            return View();
        }

        public ActionResult Melanie()
        {
            ViewBag.Message = "Melanie C page.";

            return View();
        }

        public ActionResult Loreen()
        {
            ViewBag.Message = "Loreen page.";

            return View();
        }

        public ActionResult Ruslana()
        {
            ViewBag.Message = "Ruslana page.";

            return View();
        }

        public ActionResult Alizee()
        {
            ViewBag.Message = "Alizee page.";

            return View();
        }

        public ActionResult Ania()
        {
            ViewBag.Message = "Ania page.";

            return View();
        }

        public ActionResult AniaKarwan()
        {
            ViewBag.Message = "Ania page.";

            return View();
        }

        public ActionResult Aura()
        {
            ViewBag.Message = "Aura page.";

            return View();
        }

        public ActionResult Celine()
        {
            ViewBag.Message = "Celine page.";

            return View();
        }

        public ActionResult Dua()
        {
            ViewBag.Message = "Dua page.";

            return View();
        }

        public ActionResult Emiliana()
        {
            ViewBag.Message = "Emiliana page.";

            return View();
        }

        public ActionResult Kelly()
        {
            ViewBag.Message = "Kelly page.";

            return View();
        }

        public ActionResult NataliaSzroeder()
        {
            ViewBag.Message = "Natalia page.";

            return View();
        }

        public ActionResult Nelly()
        {
            ViewBag.Message = "Nelly page.";

            return View();
        }

        public ActionResult Paloma()
        {
            ViewBag.Message = "Paloma page.";

            return View();
        }

        public ActionResult Sylwia()
        {
            ViewBag.Message = "Sylwia page.";

            return View();
        }

        public ActionResult Taylor()
        {
            ViewBag.Message = "Taylor page.";

            return View();
        }

        public ActionResult Zara()
        {
            ViewBag.Message = "Zara page.";

            return View();
        }

        #endregion region

        #region Women Bands

        public ActionResult EnVogue()
        {
            ViewBag.Message = "En Vogue page.";

            return View();
        }

        public ActionResult GirlsAloud()
        {
            ViewBag.Message = "Girls Aloud page.";

            return View();
        }

        public ActionResult SaltNPepa()
        {
            ViewBag.Message = "Salat N Pepa page.";

            return View();
        }

        public ActionResult Nikita()
        {
            ViewBag.Message = "Nikita page.";

            return View();
        }

        public ActionResult Serebro()
        {
            ViewBag.Message = "Serebro page.";

            return View();
        }

        public ActionResult SpiceGirls()
        {
            ViewBag.Message = "Spice Girls page.";

            return View();
        }

        public ActionResult Sugababes()
        {
            ViewBag.Message = "Sugababes page.";

            return View();
        }

        public ActionResult Tlc()
        {
            ViewBag.Message = "Tlc page.";

            return View();
        }

        public ActionResult TheVeronicas()
        {
            ViewBag.Message = "The Veronicas page.";

            return View();
        }

        public ActionResult DestinysChild()
        {
            ViewBag.Message = "Destiny's Child page.";

            return View();
        }

        public ActionResult ShakespearsSister()
        {
            ViewBag.Message = "Shakespears Sister page.";

            return View();
        }

        public ActionResult ThePussycatDolls()
        {
            ViewBag.Message = "The Pussycat Dolls page.";

            return View();
        }

        public ActionResult AllSaints()
        {
            ViewBag.Message = "All Saints page.";

            return View();
        }

        #endregion

        #region Man Singers

        public ActionResult BillyIdol()
        {
            ViewBag.Message = "Billy Idol page.";

            return View();
        }

        public ActionResult Sting()
        {
            ViewBag.Message = "Sting page.";

            return View();
        }

        public ActionResult RodStewart()
        {
            ViewBag.Message = "Rod Stewart page.";

            return View();
        }

        public ActionResult ChrisDeBurgh()
        {
            ViewBag.Message = "Chris De Burgh page.";

            return View();
        }

        public ActionResult DavidBowie()
        {
            ViewBag.Message = "David Bowie page.";

            return View();
        }

        public ActionResult NickCave()
        {
            ViewBag.Message = "Nick Cave page.";

            return View();
        }
        
        public ActionResult MarekGrechuta()
        {
            ViewBag.Message = "Marek Grechuta page.";

            return View();
        }

        public ActionResult Abel()
        {
            ViewBag.Message = "Abel Makkonen Tesfaye page.";

            return View();
        }

        public ActionResult Robbie()
        {
            ViewBag.Message = "Robert Peter Williams page.";

            return View();
        }

        public ActionResult Bruce()
        {
            ViewBag.Message = "Bruce Frederick Joseph Springsteen page.";

            return View();
        }

        public ActionResult Eric()
        {
            ViewBag.Message = "Eric Patrick Clapton page.";

            return View();
        }

        public ActionResult Don()
        {
            ViewBag.Message = "Donald Hugh Henley page.";

            return View();
        }

        public ActionResult Frank()
        {
            ViewBag.Message = "Francis Albert Sinatra page.";

            return View();
        }

        #endregion

        #region Man Bands

        public ActionResult DepecheMode()
        {
            ViewBag.Message = "Depeche Mode page.";

            return View();
        }

        public ActionResult DireStraits()
        {
            ViewBag.Message = "Dire Straits page.";

            return View();
        }

        public ActionResult Kult()
        {
            ViewBag.Message = "Kult page.";

            return View();
        }

        public ActionResult PinkFloyd()
        {
            ViewBag.Message = "Pink Floyd page.";

            return View();
        }

        public ActionResult Queen()
        {
            ViewBag.Message = "Queen page.";

            return View();
        }

        public ActionResult TLove()
        {
            ViewBag.Message = "T Love page.";

            return View();
        }

        public ActionResult U2()
        {
            ViewBag.Message = "U2 page.";

            return View();
        }

        #endregion

        #region Scientists

        public ActionResult Pythagoras()
        {
            ViewBag.Message = "Pythagoras page.";

            return View();
        }

        public ActionResult IsaacNewton()
        {
            ViewBag.Message = "Isaac Newton page.";

            return View();
        }

        public ActionResult AlbertEinstein()
        {
            ViewBag.Message = "Albert Einstein page.";

            return View();
        }

        public ActionResult James()
        {
            ViewBag.Message = "James page.";

            return View();
        }

        public ActionResult Werner()
        {
            ViewBag.Message = "Werner page.";

            return View();
        }

        public ActionResult Michael()
        {
            ViewBag.Message = "Michael page.";

            return View();
        }

        public ActionResult Erwin()
        {
            ViewBag.Message = "Erwin Rudolf Josef Alexander Schrödinger page.";

            return View();
        }

        #endregion

        #region Actors

        public ActionResult Arnold()
        {
            ViewBag.Message = "Arnold page.";

            return View();
        }

        public ActionResult Charlie()
        {
            ViewBag.Message = "Charlie page.";

            return View();
        }

        #endregion

        #region Bands

        public ActionResult Garbage()
        {
            ViewBag.Message = "Garbage page.";

            return View();
        }

        public ActionResult Maanam()
        {
            ViewBag.Message = "Maanam page.";

            return View();
        }

        public ActionResult Republica()
        {
            ViewBag.Message = "Republica page.";

            return View();
        }

        #endregion

        #region Religions

        public ActionResult Christianity()
        {
            ViewBag.Message = "Christianity page.";

            return View();
        }

        public ActionResult Judaism()
        {
            ViewBag.Message = "Judaism page.";

            return View();
        }

        public ActionResult Islam()
        {
            ViewBag.Message = "Islam page.";

            return View();
        }

        public ActionResult Buddhism()
        {
            ViewBag.Message = "Buddhism page.";

            return View();
        }

        public ActionResult Satanism()
        {
            ViewBag.Message = "Satanism page.";

            return View();
        }

        public ActionResult Sunnism()
        {
            ViewBag.Message = "Sunnism page.";

            return View();
        }

        #endregion

        #region Christianity

        public ActionResult Augustine()
        {
            ViewBag.Message = "Augustine of Hippo page.";

            return View();
        }

        public ActionResult Isidore()
        {
            ViewBag.Message = "Isidore of Seville page.";

            return View();
        }

        public ActionResult Matteo()
        {
            ViewBag.Message = "Matteo Ricci page.";

            return View();
        }

        public ActionResult Thomas()
        {
            ViewBag.Message = "Thomas Aquinas page.";

            return View();
        }

        public ActionResult Catherine()
        {
            ViewBag.Message = "Catherine of Alexandria page.";

            return View();
        }

        public ActionResult Beata()
        {
            ViewBag.Message = "Beata z Sens page.";

            return View();
        }

        public ActionResult Joan()
        {
            ViewBag.Message = "Joan of Arc page.";

            return View();
        }

        #endregion

        #region Sunnists

        public ActionResult Hammurabi()
        {
            ViewBag.Message = "Hammurabi page.";

            return View();
        }

        public ActionResult Leonardo()
        {
            ViewBag.Message = "Leonardo da Vinci page.";

            return View();
        }

        public ActionResult Genghis()
        {
            ViewBag.Message = "Genghis Khan page.";

            return View();
        }

        public ActionResult Adolf()
        {
            ViewBag.Message = "Adolf Hitler page.";

            return View();
        }

        public ActionResult Joseph()
        {
            ViewBag.Message = "Joseph Stalin page.";

            return View();
        }

        #endregion

        #region Judaism
        public ActionResult JosephGenesis()
        {
            ViewBag.Message = "Joseph page.";

            return View();
        }

        public ActionResult Moses()
        {
            ViewBag.Message = "Moses page.";

            return View();
        }

        public ActionResult David()
        {
            ViewBag.Message = "David page.";

            return View();
        }

        public ActionResult Noah()
        {
            ViewBag.Message = "Noah page.";

            return View();
        }

        public ActionResult Abraham()
        {
            ViewBag.Message = "Abraham page.";

            return View();
        }
        #endregion

        #region Buddhism

        public ActionResult SiddharthaGautama()
        {
            ViewBag.Message = "Siddhartha Gautama page.";

            return View();
        }

        public ActionResult SrinivasaRamanujan()
        {
            ViewBag.Message = "Srinivasa Ramanujan page.";

            return View();
        }

        public ActionResult Dalai()
        {
            ViewBag.Message = "Dalai Lama page.";

            return View();
        }

        #endregion

        #region Satanism

        public ActionResult Lilith()
        {
            ViewBag.Message = "Lilith page.";

            return View();
        }

        public ActionResult Lucifer()
        {
            ViewBag.Message = "Lucifer page.";

            return View();
        }

        #endregion

        #region Islam

        public ActionResult Muhammad()
        {
            ViewBag.Message = "Muhammad page.";

            return View();
        }

        public ActionResult Al()
        {
            ViewBag.Message = "Al-Shafi'i page.";

            return View();
        }

        public ActionResult Ibn()
        {
            ViewBag.Message = "Ibn al-Haytham.";

            return View();
        }

        #endregion
    }
}